Index: dialog.c
===================================================================
--- dialog.c	(.../vendor/wine/current/windows/dialog.c)	(revision 29323)
+++ dialog.c	(.../branches/wine/2004.11.16-cvs-update/windows/dialog.c)	(revision 29323)
@@ -377,9 +377,13 @@
 static LPCSTR DIALOG_ParseTemplate32( LPCSTR template, DLG_TEMPLATE * result )
 {
     const WORD *p = (const WORD *)template;
+    WORD signature;
+    WORD dlgver;
 
-    result->style = GET_DWORD(p); p += 2;
-    if (result->style == 0xffff0001)  /* DIALOGEX resource */
+    signature = GET_WORD(p); p++;
+    dlgver = GET_WORD(p); p++;
+
+    if (signature == 1 && dlgver == 0xffff)  /* DIALOGEX resource */
     {
         result->dialogEx = TRUE;
         result->helpId   = GET_DWORD(p); p += 2;
@@ -388,6 +392,7 @@
     }
     else
     {
+        result->style = GET_DWORD(p - 2);
         result->dialogEx = FALSE;
         result->helpId   = 0;
         result->exStyle  = GET_DWORD(p); p += 2;
